# fortios_webfilter_fortiguard – Configure FortiGuard Web Filter service in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify webfilter feature and fortiguard category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

password string | Default: "" | FortiOS or FortiGate password.

ssl_verify
boolean
added in 2.9

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.
webfilter_fortiguard dictionary | Default: null | Configure FortiGuard Web Filter service.
| cache_mem_percent integer |  | Maximum percentage of available memory allocated to caching (1 - 15%).

cache_mode
string

Choices:
- ttl
- db-ver

Cache entry expiration mode.

cache_prefix_match
string

Choices:
- enable
- disable

Enable/disable prefix matching in the cache.

close_ports
string

Choices:
- enable
- disable

Close ports used for HTTP/HTTPS override authentication and disable user overrides.

ovrd_auth_https
string

Choices:
- enable
- disable

Enable/disable use of HTTPS for override authentication.

| ovrd_auth_port integer |  | Port to use for FortiGuard Web Filter override authentication.
| ovrd_auth_port_http integer |  | Port to use for FortiGuard Web Filter HTTP override authentication
| ovrd_auth_port_https integer |  | Port to use for FortiGuard Web Filter HTTPS override authentication.
| ovrd_auth_port_warning integer |  | Port to use for FortiGuard Web Filter Warning override authentication.
| request_packet_size_limit integer |  | Limit size of URL request packets sent to FortiGuard server (0 for default).

warn_auth_https
string

Choices:
- enable
- disable

Enable/disable use of HTTPS for warning and authentication.

## Notes

Note

- Requires fortiosapi library developed by Fortinet
- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure FortiGuard Web Filter service.
        fortios_webfilter_fortiguard:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          webfilter_fortiguard:
            cache_mem_percent: "3"
            cache_mode: "ttl"
            cache_prefix_match: "enable"
            close_ports: "enable"
            ovrd_auth_https: "enable"
            ovrd_auth_port: "8"
            ovrd_auth_port_http: "9"
            ovrd_auth_port_https: "10"
            ovrd_auth_port_warning: "11"
            request_packet_size_limit: "12"
            warn_auth_https: "enable"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)
- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.